
Redmine - Defect #752

Outgoing emails contain Bcc

2008-02-28 23:01 - Ben Oakes

Status: Closed Start date: 2008-02-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

When I submitted issue #751, I received an email that contained Bcc addresses.  (I was surprised that Apple Mail.app even showed

them -- I'm guessing that it was because it uses the same code to preview emails between drafts and inbox items.)  This happened

on the official Redmine redmine rather than the redmine we maintain where I work.

Here's a partial snipped of the email's source (bccs removed):

[...]

From: noreply@redmine.org

Bcc: ...yahoo.fr, .......com, ...@gmail.com

Subject: [Redmine - Defect #751] Multiple "new"s in filing new ticket

Mime-Version: 1.0

Content-Type: multipart/alternative; boundary=mimepart_47c7274cb1ec1_3e29..fdbe3eb8497d

Date: Thu, 28 Feb 2008 13:29:42 -0800 (PST)

[...]

History

#1 - 2008-03-16 00:10 - John Goerzen

I'm seeing this too, from forum posts.

#2 - 2008-03-16 11:35 - Jean-Philippe Lang

I don't think it's related to the application since I don't see them when I do tests on my local setup.

#3 - 2008-03-16 21:56 - John Goerzen

Hi JP,

I'm not quite sure what you mean here.

When I got your reply to this very message, I saw in the headers:

{{{

From: noreply@redmine.org

Bcc: edavis@...,

benjamin.d.oakes@...,

jgoerzen@...

}}}

I stripped the domain names here to prevent spam, but they sure were present on the message I got.  They're also there on messages from forums.

The only possible reason the BCC line is there in the message I received is that Redmine (or Rails libraries under its control) put it there.  BCC is

somewhat of an odd beast.  Lots of mail clients give the illusion that it's a header like every other, but in reality they are not putting a BCC line in the

outgoing message.  Rather, they just use the data entered there to give more recipients to the SMTP (or local sendmail) server.  A BCC line should

never enter the message body.

I know that there is a BCC setting.  I haven't gone to play with it, so I'm not sure whether it enables or disables this behavior, or is a toggle between

putting names on the BCC instead of To or CC lines.

#4 - 2008-03-17 05:36 - Eric Davis

I don't see the BCC in my mail client (Thunderbird 2.0) nor in the source of the mail message on the server.
From: noreply@redmine.org

Subject: [Redmine - Defect #752] Outgoing emails contain Bcc

Mime-Version: 1.0

Content-Type: multipart/alternative; boundary=mimepart_47dd8960e0f3b_6933..fdbe3d37e11fb

Date: Sun, 16 Mar 2008 13:56:38 -0700 (PDT)

Message-ID: <47dd8986.0af5660a.47e5.ffffef94@mx.google.com>

To: undisclosed-recipients:;

--mimepart_47dd8960e0f3b_6933..fdbe3d37e11fb

Content-Type: text/plain; charset=utf-8

Content-Transfer-Encoding: Quoted-printable

Content-Disposition: inline

#5 - 2008-03-29 14:20 - Thomas Löber

I also see the BCC addressees. Do the mail servers keep them when there is no "To:" header?

#6 - 2008-03-29 23:56 - Jean-Philippe Lang

john wilson: I think it's related to the SMTP server I use (Google Apps).

#7 - 2008-05-09 01:40 - M T

Yes I looked into this problem once before and I also came to the conclusion that Google Mail was to blame!

#8 - 2008-05-14 20:53 - Jean-Philippe Lang

- Status changed from New to Closed

- Affected version (unused) deleted (devel)

- Resolution set to Wont fix
